BVN Enquiry
BVN Enquirylink
GET
/wallet2/clientget client using bvn
This endpoint allows you retrieve the bvn details of a customer
Headers
AuthorizationParameters
wallet-credentialsquerystringdefault: bvnquerystringdefault: Responses
valid bvn
{
"status": "00",
"message": "BVN Details Retrieved Successfully",
"data": {
"firstName": "DANIEL",
"middleName": "MOSES",
"lastName": "BABATUNDE",
"gender": "Male",
"dateOfBirth": "05-Oct-1988",
"phoneNo": "09070658263",
"pixBase64": ""
}
}boltTry it
env
GET
https://api-devapps.vfdbank.systems/vtech-wallet/api/v1/wallet2/wallet2/clientQuery parameters
wallet-credentialsbvnHeaders
AuthorizationCode samples
curl -X GET 'https://api-devapps.vfdbank.systems/vtech-wallet/api/v1/wallet2/wallet2/client'GET
/billspaymentstore/billerlistget client using bvn Copy
This endpoint allows you retrieve the bvn details of a customer
Headers
AuthorizationResponses
valid bvn
{
"status": "00",
"message": "BVN Details Retrieved Successfully",
"data": {
"firstName": "DANIEL",
"middleName": "MOSES",
"lastName": "BABATUNDE",
"gender": "Male",
"dateOfBirth": "05-Oct-1988",
"phoneNo": "09070658263",
"pixBase64": ""
}
}boltTry it
env
GET
https://api-devapps.vfdbank.systems/vtech-wallet/api/v1/wallet2/billspaymentstore/billerlistHeaders
AuthorizationCode samples
curl -X GET 'https://api-devapps.vfdbank.systems/vtech-wallet/api/v1/wallet2/billspaymentstore/billerlist'